Bug 112225 - CAN-2003-1012/3 Ethereal security vulnerabilities
CAN-2003-1012/3 Ethereal security vulnerabilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.ethereal.com/appnotes/enpa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 08:10 EST by Mark J. Cox (Product Security)
Modified: 2015-03-04 20:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 11:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-12-16 08:10:08 EST
Issues have been discovered in the following protocol dissectors:

    * Selecting "Match->Selected" or "Prepare->Selected" for a
malformed SMB packet could cause a segmentation fault.
    * It is possible for the Q.931 dissector to dereference a null
pointer when reading a malformed packet. 

Disclosed Dec12 (not Nov03 like the URL quotes). Ethereal 0.10.0
released with fixes.

        Affects: FC1
Comment 1 Mark J. Cox (Product Security) 2003-12-18 11:39:43 EST
Fixed FEDORA-2003-040

Note You need to log in before you can comment on or make changes to this bug.